### Signal

# Adw SwipeTracker::prepare

#### Declaration

    void
    prepare (
      AdwSwipeTracker* self,
      AdwNavigationDirection direction,
      gpointer user_data
    )

#### Description [src]

This signal is emitted when a possible swipe is detected.

The `direction` value can be used to restrict the swipe to a certain direction.

Default handler: The default handler is called before the handlers added via `g_signal_connect()`.

#### Parameters

`direction`

  Type: `AdwNavigationDirection`

  The direction of the swipe.